Bug 208955 - reposync fails import error
reposync fails import error
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 15:24 EDT by Stephanos Manos
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 18:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephanos Manos 2006-10-02 15:24:48 EDT
Description of problem:
when running reposync fails with the following error

Traceback (most recent call last):
  File "/usr/bin/reposync", line 43, in ?
    from repomd.packageSack import ListPackageSack
ImportError: No module named repomd.packageSack

Version-Release number of selected component (if applicable):
yum-utils-0.6-5.fc6

How reproducible:
Always

Steps to Reproduce:
1. run reposync --help

Actual results:
the above message

Expected results:
the commands usage

Additional info:
replasing from repomd.packageSack import ListPackageSack
with from yum.packageSack import ListPackageSack

works
Comment 1 Stephanos Manos 2006-10-03 18:48:26 EDT
Sees totaly broken
when giving an actual command i get 

[root@ghost ~]# reposync -r development -p /srv/mirrors/fedora/core
Loading "installonlyn" plugin
Downloading ElectricFence-2.2.2-20.2.2.i386.rpm
Traceback (most recent call last):
  File "/usr/bin/reposync", line 194, in ?
    main()
  File "/usr/bin/reposync", line 190, in main
    repo.get(relative=remote, local=local)
AttributeError: 'YumRepository' object has no attribute 'get'
[root@ghost ~]# 
Comment 2 Seth Vidal 2006-10-03 18:58:31 EDT
all of these bugs you've been filing against yum-utils are fixed in cvs and will
be corrected in the next upstream release.


Note You need to log in before you can comment on or make changes to this bug.